Skip to main content
PUT
Upload Video

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required

The ID of the video library.

videoId
string
required

The GUID of the video.

Query Parameters

jitEnabled
boolean

Marks whether JIT encoding should be enabled for this video (works only when Premium Encoding is enabled), overrides library settings

enabledResolutions
string | null
default:""

Comma separated list of resolutions enabled for encoding, available options: 240p, 360p, 480p, 720p, 1080p, 1440p, 2160p

enabledOutputCodecs
string | null
default:""

List of codecs that will be used to encode the file (overrides library settings). Available values: x264, vp9

transcribeEnabled
boolean | null

Setting this to true will enable transcription on this video. Enabling this will incur transcription charges

transcribeLanguages
string | null

Comma separated list of languages that will be used as target languages, use ISO 639-1 language codes.

sourceLanguage
string | null

Language spoken in the video, use ISO 639-1 language codes.

generateTitle
boolean | null

Whether video title should be generated from transcription.

generateDescription
boolean | null

Whether video description should be generated from transcription.

generateChapters
boolean | null

Whether video chapters should be generated from transcription.

generateMoments
boolean | null

Whether video moments should be generated from transcription.

Body

application/octet-stream

Video file to upload

The body is of type file.

Response

The video was successfully uploaded

success
boolean

Determines if the request was successful

message
string | null

Human-readable message describing the result, typically populated with error details when Success is false.

statusCode
integer<int32>

The HTTP status code corresponding to the result of the request.

Last modified on September 10, 2026